Codici a barre
GET https://querrecode.it/api/barcodes/
curl --request GET \
--url 'https://querrecode.it/api/barcodes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://querrecode.it/api/barcodes/' \
--header 'Authorization: Bearer {api_key}' \
| Parametri | Dettagli | Descrizione |
|---|---|---|
| search | Opzionale String | La stringa di ricerca. |
| search_by | Opzionale String | Per quale campo stai effettuando la ricerca. I valori consentiti sono: name, value. |
| type | Opzionale String | Valori consentiti: C32, C39, C39+, C39E, C39E+, C93, S25, S25+, I25, I25+, ITF14, C128, C128A, C128B, C128C, EAN2, EAN5, EAN8, EAN13, UPCA, UPCE, MSI, MSI+, POSTNET, PLANET, TELEPENALPHA, TELEPENNUMERIC, RMS4CC, KIX, IMB, CODABAR, CODE11, PHARMA, PHARMA2T |
| datetime_field | Opzionale String | Valori consentiti: datetime, last_datetime |
| datetime_start | Opzionale String | Filtra i risultati a partire da questa data e ora. Formato Y-m-d H:i:s. |
| datetime_end | Opzionale String | Filtra i risultati fino a questa data e ora. Formato Y-m-d H:i:s. |
| order_by | Opzionale String | Per quale campo ordinare i risultati. I valori consentiti sono: barcode_id, datetime, last_datetime, name, type. |
| order_type | Opzionale String | L’ordinamento dei risultati. I valori consentiti sono: ASC per ordinamento ascendente, e DESC per ordinamento discendente. |
| page | Opzionale Intero | Il numero di pagina da cui vuoi ottenere i risultati. Predefinito a 1. |
| results_per_page | Opzionale Intero | Quanti risultati vuoi per pagina. I valori consentiti sono: 10, 25, 50, 100, 250, 500, 1000. Predefinito a 25. |
{
"data": [
{
"id": 1,
"type": "C32",
"name": "Example name",
"value": "123456",
"barcode": "https://querrecode.it/uploads/barcode/example.svg",
"settings": {
"foreground_color": "#000000",
"width_scale": 2,
"height": 50,
},
"embedded_data": "123456",
"last_datetime": null,
"datetime": "2026-07-08 00:45:20",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://querrecode.it/api/barcodes?page=1",
"last": "https://querrecode.it/api/barcodes?page=1",
"next": null,
"prev": null,
"self": "https://querrecode.it/api/barcodes?page=1"
}
}
GET https://querrecode.it/api/barcodes/{barcode_id}
curl --request GET \
--url 'https://querrecode.it/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://querrecode.it/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "C32",
"name": "Example name",
"value": "123456",
"barcode": "https://querrecode.it/uploads/barcode/example.svg",
"settings": {
"foreground_color": "#000000",
"width_scale": 2,
"height": 50,
},
"embedded_data": "123456",
"last_datetime": null,
"datetime": "2026-07-08 00:45:20",
}
}
POST https://querrecode.it/api/barcodes
| Parametri | Dettagli | Descrizione |
|---|---|---|
| project_id | Opzionale Intero | - |
| name | Obbligatorio String | - |
| type | Obbligatorio String | Valori consentiti: C32, C39, C39+, C39E, C39E+, C93, S25, S25+, I25, I25+, ITF14, C128, C128A, C128B, C128C, EAN2, EAN5, EAN8, EAN13, UPCA, UPCE, MSI, MSI+, POSTNET, PLANET, TELEPENALPHA, TELEPENNUMERIC, RMS4CC, KIX, IMB, CODABAR, CODE11, PHARMA, PHARMA2T |
| is_bulk | Opzionale Boolean | |
| value | Obbligatorio String | - |
| display_text | Opzionale Boolean | - |
| foreground_color | Opzionale String | - |
| background_color | Opzionale String | - |
| width_scale | Opzionale Intero | 1-10 |
| height | Opzionale Intero | 30-1000 |
| Parametri | Dettagli | Descrizione |
|---|---|---|
curl --request POST \
--url 'https://querrecode.it/api/barcodes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
--url 'https://querrecode.it/api/barcodes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
"data": {
"id": 1
}
}
POST https://querrecode.it/api/barcodes/{barcode_id}
| Parametri | Dettagli | Descrizione |
|---|---|---|
| project_id | Opzionale String | - |
| name | Opzionale String | - |
| type | Opzionale String | Valori consentiti: C32, C39, C39+, C39E, C39E+, C93, S25, S25+, I25, I25+, ITF14, C128, C128A, C128B, C128C, EAN2, EAN5, EAN8, EAN13, UPCA, UPCE, MSI, MSI+, POSTNET, PLANET, TELEPENALPHA, TELEPENNUMERIC, RMS4CC, KIX, IMB, CODABAR, CODE11, PHARMA, PHARMA2T |
| value | Obbligatorio String | - |
| display_text | Opzionale Boolean | - |
| foreground_color | Opzionale String | - |
| background_color | Opzionale String | - |
| width_scale | Opzionale Intero | 1-10 |
| height | Opzionale Intero | 30-1000 |
curl --request POST \
--url 'https://querrecode.it/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://querrecode.it/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1
}
}
DELETE https://querrecode.it/api/barcodes/{barcode_id}
curl --request DELETE \
--url 'https://querrecode.it/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://querrecode.it/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \